source("/home/tanu/git/LSHTM_analysis/scripts/plotting/plotting_thesis/rpob/prominent_effects_rpob.R")
source("/home/tanu/git/LSHTM_analysis/scripts/plotting/plotting_thesis/rpob/sensitivity_count_rpob.R")

##############################################################
#                         PE count
#lig-- na--ppi2--stab
pe_colour_map = c("DD_lig"           = "#f0e68c"   # khaki
                  , "SS_lig"         = "#ffd700"  # gold
                  
                  , "DD_nucleic_acid"= "#d2b48c"  # sandybrown
                  , "SS_nucleic_acid"= "#a0522d"  # sienna
                  
                  , "DD_ppi2"        = "#da70d6"  # orchid
                  , "SS_ppi2"        = "#ff1493"  # deeppink
                  
                  , "DD_stability"   = "#f8766d"  # red
                  , "SS_stability"   = "#00BFC4") # blue

table(str_df_plot_cols$pe_effect_outcome)
##############################################################
#===========
#PE count
#===========
rects <- data.frame(x=1:8, 
                     colors = c("#f0e68c" ,
                                "#ffd700" ,
                                
                                "#d2b48c" ,
                                "#a0522d" ,
                                
                                "#da70d6" ,
                                "#ff1493" ,
                                
                                "#f8766d" ,
                                "#00BFC4") 
                     )

rects$text =  c("-ve Lig"
                , "+ve Lig"
                
                , "-ve\nNuc.Acid"
                , "+ve\nNuc.Acid"
                
                , "-ve PPI2"
                , "+ve PPI2"

                , "-ve stability"
                , "+ve stability"
)

cell1 = table(str_df_plot_cols$pe_effect_outcome)[["DD_lig"]]
cell2 = table(str_df_plot_cols$pe_effect_outcome)[["SS_lig"]]

cell3 = table(str_df_plot_cols$pe_effect_outcome)[["DD_nucleic_acid"]]
cell4 = table(str_df_plot_cols$pe_effect_outcome)[["SS_nucleic_acid"]]

cell5 = table(str_df_plot_cols$pe_effect_outcome)[["DD_ppi2"]]
cell6 = table(str_df_plot_cols$pe_effect_outcome)[["SS_ppi2"]]

cell7 = table(str_df_plot_cols$pe_effect_outcome)[["DD_stability"]]
cell8 = table(str_df_plot_cols$pe_effect_outcome)[["SS_stability"]]


#rects$numbers = c(38, 0, 22, 9, 108, 681) #for embb
rects$numbers = c(cell1, cell2,
                  cell3, cell4,
                  cell5, cell6,
                  cell7, cell8)

rects$num_labels = paste0("n=", rects$numbers)

rects
#------
# Plot
#------
#https://stackoverflow.com/questions/47986055/create-a-rectangle-filled-with-text
peP = ggplot(rects, aes(x, y = 0, fill = colors, label = paste0(text,"\n", num_labels))) +
  geom_tile(width = 1, height = 1) + # make square tiles
  geom_text(color = "black", size = 1.7) + # add white text in the middle
  scale_fill_identity(guide = "none") + # color the tiles with the colors in the data frame
  coord_fixed() + # make sure tiles are square
  coord_flip()+ scale_x_reverse() +
  # theme_void() # remove any axis markings
  theme_nothing() # remove any axis markings
peP

#------
# Plot: this one is better
#------
peP2 = ggplot(rects, aes(x, y = 0, fill = colors, label = paste0(text,"\n", num_labels))) +
  geom_tile() + # make square tiles
  geom_text(color = "black", size = 1.6) + # add white text in the middle
  scale_fill_identity(guide = "none") + # color the tiles with the colors in the data frame
  coord_fixed() + # make sure tiles are square
  theme_nothing() # remove any axis markings
peP2

########################################################
# From: script sensitivity_count per gene
#===============================
# Sensitivity count: SITE
#===============================
#--------
# embb
#--------
#rsc = 54
#ccc = 46
#ssc = 470

rsc = site_Rc; rsc
ccc = site_Cc; ccc
ssc = site_Sc; ssc

rect_rs_siteC <- data.frame(x=1:3,
                    colors = c("red",
                               "purple",
                               "blue")
                    )
                               
rect_rs_siteC                          
rect_rs_siteC$text = c("Resistant",
                       "Common",
                       "Sensitive")

rect_rs_siteC$numbers = c(rsc,ccc,ssc)
rect_rs_siteC$num_labels = paste0("n=", rect_rs_siteC$numbers)
rect_rs_siteC

#------
# Plot
#------
sens_siteP = ggplot(rect_rs_siteC, aes(x, y = 0,
                                       fill = colors,
                                       label = num_labels
                                       #,label = paste0(text,"\n", num_labels)
                                       )) +
  geom_tile(width = 1, height = 1) +
  #geom_text(color = "black", size = 1.7) +
  geom_label(color = "black", size = 1.7,fill = "white", alpha=0.7) + 
  scale_fill_identity(guide = "none") + 
  coord_fixed()+
  theme_nothing() # remove any axis markings
sens_siteP

################################################################
#===============================
# Sensitivity count: Mutations
#===============================
table(sensP_df$sensitivity)
muts_Rc = table(sensP_df$sensitivity)[["R"]]
muts_Sc = table(sensP_df$sensitivity)[["S"]]
rect_sens <- data.frame(x=1:2,
                              colors = c("red",
                                         "blue")
                        )

rect_sens$text = c("Resistant",
                       "Sensitive")
rect_sens$numbers = c(muts_Rc,muts_Sc)
rect_sens$num_labels = paste0("n=", rect_sens$numbers)
rect_sens
#------
# Plot
#------
sensP = ggplot(rect_sens, aes(x, y = 0,
                              fill = colors,
                              label = paste0(text,"\n", num_labels))) +
  geom_tile(width = 1, height = 1) +
  #geom_text(color = "black", size = 1.7) +
  geom_label(color = "black", size = 1.7,fill = "white", alpha=0.7) + 
  scale_fill_identity(guide = "none") + 
  coord_fixed()+
  theme_nothing() # remove any axis markings
sensP

sensP2 = sensP + 
   coord_flip() + scale_x_reverse()
sensP2


